ActionCommand (Struts Core 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.chain.commands
Interface ActionCommand

All Superinterfaces:
  org.apache.commons.chain.Command

All Known Implementing Classes:
  AbstractAuthorizeAction, AbstractCreateAction, AbstractExceptionHandler, AbstractExecuteAction, AbstractPerformForward, AbstractPerformInclude, AbstractPopulateActionForm, AbstractRequestNoCache, AbstractSelectAction, AbstractSelectForward, AbstractSelectInput, AbstractSelectLocale, AbstractSelectModule, AbstractSetContentType, AbstractSetOriginalURI, AbstractValidateActionForm, ActionCommandBase, AuthorizeAction, CopyFormToContext, CreateAction, CreateActionForm, ExceptionCatcher, ExceptionHandler, ExecuteAction, ExecuteCommand, ExecuteForwardCommand, PerformForward, PerformInclude, PopulateActionForm, RemoveCachedMessages, RequestNoCache, SelectAction, SelectForward, SelectInclude, SelectInput, SelectLocale, SelectModule, SetContentType, SetOriginalURI, ValidateActionForm

    public interface ActionCommand

extends org.apache.commons.chain.Command

Marks a commons-chain `Command` which expects to operate upon a Struts `ActionContext`.

Field Summary

Fields inherited from interface org.apache.commons.chain.Command
`CONTINUE_PROCESSING, PROCESSING_COMPLETE`

Method Summary
`boolean` | `execute(ActionContext actionContext)`

Methods inherited from interface org.apache.commons.chain.Command
`execute`

Method Detail

### execute

    boolean execute(ActionContext actionContext)
                    throws Exception

  Parameters:
    `actionContext` - The `Context` for the current request
  Returns:
    TRUE if processing should halt
  Throws:
    `Exception` - On any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.